CREATE TABLE fnd_pillar_mapping (
    PILLAR_TOPOLOGY_OPTION_NAME    VARCHAR2(1000),
    PILLAR_DEFINITION_NAME         VARCHAR2(1000),
    PILLAR_INSTANCE_NAME           VARCHAR2(1000),
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    ENTERPRISE_ID                  NUMBER(18, 0) ,
    PILLAR_TOPOLOGY_OPTION_NAME    VARCHAR2(1000),
    PILLAR_DEFINITION_NAME         VARCHAR2(1000),
    PILLAR_INSTANCE_NAME           VARCHAR2(1000),
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    ENTERPRISE_ID                  NUMBER(18, 0) ,
    CONSTRAINT pk_fnd_pillar_mapping PRIMARY KEY (PILLAR_TOPOLOGY_OPTION_NAME, PILLAR_DEFINITION_NAME, PILLAR_INSTANCE_NAME, ENTERPRISE_ID, PILLAR_TOPOLOGY_OPTION_NAME, PILLAR_DEFINITION_NAME, PILLAR_INSTANCE_NAME, ENTERPRISE_ID)
);
